Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235627 - up2date clobbers modified files
Summary: up2date clobbers modified files
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date
Version: 4.4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Bret McMillan
QA Contact: Brandon Perkins
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-08 15:19 UTC by monty
Modified: 2007-11-17 01:14 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-22 15:02:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description monty 2007-04-08 15:19:35 UTC
Description of problem:
When up2date installed the recent update to mysql (RHSA-2007:0152-01) it replaced the file /etc/
init.d/mysqld even though the file had been modified before running up2date. This change to the file 
broke the MySQL installation on the server.

up2date did not create a backup of the file before it was replaced.
up2date did not send any notification.
up2date did not log the change.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Red Hat Bugzilla 2007-04-12 02:20:09 UTC
User bnackash@redhat.com's account has been closed

Comment 2 Todd Sanders 2007-05-22 15:02:45 UTC
This is not a bug with up2date.  rpm -Uhv would exhibit the same behavior.  Only
config files are persisted through an rpm upgrade. Please log this error against
mysql, if you feel that packaging needs modification.


Note You need to log in before you can comment on or make changes to this bug.